%define upstream_name    Dist-Zilla-PluginBundle-DOY
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dist::Zilla plugins for me
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests)
BuildRequires: perl(Dist::Zilla::Plugin::Git) >= 1.102.810
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Plugin::Metadata)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
My plugin bundle. Roughly equivalent to:

    [@Basic]

    [MetaConfig]
    [MetaJSON]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 534024
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 476062
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 366624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 269455
- update to 0.09

* Thu Feb 23 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 212810
- update to 0.08

* Tue Mar 15 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 71837
- imported package perl-Dist-Zilla-PluginBundle-DOY


* Tue Mar 15 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
